Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 339)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 340)
@@ -305,6 +305,7 @@
                         break;
                     case (int)TabNameEnum.ConstructionProjects:
                         // 受注状況一覧表示
+                        SetInitNumUDData(numUDConstPro);
                         DispConstructionProjects();
                         break;
                     case (int)TabNameEnum.FluctuationProjects:
@@ -1747,6 +1748,18 @@
         /// <param name="numUPObject"></param>
         private void SetInitNumUDData(NumericUpDown numUPObject)
         {
+            if (numUPObject == numUDConstPro)
+            {
+                numUDConstPro.ValueChanged -= new EventHandler(numUDConstPro_ValueChanged);
+            }
+            else if (numUPObject == numUDNonOrder)
+            {
+                numUDNonOrder.ValueChanged -= new EventHandler(numUDNonOrder_ValueChanged);
+            }
+            else if (numUPObject == numUDCompletion)
+            {
+                numUDCompletion.ValueChanged -= new EventHandler(numUDCompletion_ValueChanged);
+            }
             try
             {
                 m_bInitFlg = true;
@@ -1768,6 +1781,19 @@
             finally
             {
                 m_bInitFlg = false;
+
+                if (numUPObject == numUDConstPro)
+                {
+                    numUDConstPro.ValueChanged += new EventHandler(numUDConstPro_ValueChanged);
+                }
+                else if (numUPObject == numUDNonOrder)
+                {
+                    numUDNonOrder.ValueChanged += new EventHandler(numUDNonOrder_ValueChanged);
+                }
+                else if (numUPObject == numUDCompletion)
+                {
+                    numUDCompletion.ValueChanged += new EventHandler(numUDCompletion_ValueChanged);
+                }
             }
         }
         #endregion
@@ -3513,20 +3539,20 @@
         /// <returns></returns>
         private string CreateListSQLFluctuation(bool FluctuationType = false, string strArias = "")
         {
-            string strSQL = string.Empty;
+            StringBuilder strSQL = new StringBuilder();
             try
             {
                 if (FluctuationType)
                 {
-                    strSQL += string.Format(" Where {0}TyingFlg = {1}", strArias, (int)ConstructionBaseInfo.TyingFlgDef.Tying);
+                    strSQL.AppendFormat(" Where {0}TyingFlg = {1}", strArias, (int)ConstructionBaseInfo.TyingFlgDef.Tying);
                 }
                 else
                 {
-                    strSQL += string.Format(" Where {0}TyingFlg != {1}", strArias, (int)ConstructionBaseInfo.TyingFlgDef.Tying);
+                    strSQL.AppendFormat(" Where {0}TyingFlg != {1}", strArias, (int)ConstructionBaseInfo.TyingFlgDef.Tying);
                 }
-                strSQL += " AND (";
+                strSQL.Append(" AND (");
 
-                return strSQL;
+                return strSQL.ToString();
             }
             catch (Exception ex)
             {
@@ -3560,11 +3586,15 @@
                 }
                 else
                 {
-                    for (int i = 0; i < Status.Count; i++)
+                    strSQL.AppendFormat(" {0}ConstructionStatusFlg IN (", strArias);
+                    bool bFirst = true;
+                    foreach (int CurData in Status)
                     {
-                        if (i != 0) strSQL.Append(" Or");
-                        strSQL.AppendFormat(" {0}ConstructionStatusFlg = {1}", strArias, Status[i].ToString());
+                        if (!bFirst) strSQL.Append(", ");
+                        strSQL.AppendFormat("{0}", CurData);
+                        bFirst = false;
                     }
+                    strSQL.Append(")");
                 }
                 strSQL.Append(")");
 
@@ -4404,24 +4434,25 @@
                 strSQL.Append("SELECT A.ConstructionCode, A.ConstructionPeriod, B.DETAILNO, B.DETAILSTRING, A.ConstructionStatusFlg,");
                 strSQL.Append(" A.EstimatesSubmitDeadline, C.PERSONNAME, D.PERSONNAME, E.PERSONNAME, F.PERSONNAME, D.DepartmentCode,");
                 strSQL.Append(" G.APPROVALCODE, IFNULL(G.APPROVALSTATUS, -1), A.*, Btbl.*");
-                strSQL.Append(" FROM CONSTRUCTIONBASEINFO A");
+                strSQL.Append(" FROM CONSTRUCTIONBASEINFO AS A");
 
                 if (m_bConstrSearchFlg)
                 {
-                    strSQL.Append(" LEFT JOIN  CONSTRUCTIONBASEINFODETAIL EX");
+                    strSQL.Append(" LEFT JOIN  CONSTRUCTIONBASEINFODETAIL AS EX");
                     strSQL.Append(" ON EX.ConstructionCode = A.ConstructionCode");
                 }
 
-                strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER D ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE");
-                strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER E ON E.PERSONCODE = A.CONSTRSUBPERSONCODE");
-                strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER F ON F.PERSONCODE = A.CONSTRUCTIONINSTRUCTOR");
-                strSQL.Append(" LEFT JOIN (SELECT SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS, MAX(SG.APPROVALCODE) APPROVALCODE");
-                strSQL.Append("      FROM PROCESSAPPROVAL SG GROUP BY SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS) G");
+                strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER AS D ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE");
+                strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER AS E ON E.PERSONCODE = A.CONSTRSUBPERSONCODE");
+                strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER AS F ON F.PERSONCODE = A.CONSTRUCTIONINSTRUCTOR");
+                strSQL.Append(" LEFT JOIN (");
+                strSQL.Append(" SELECT SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS, MAX(SG.APPROVALCODE) APPROVALCODE");
+                strSQL.Append("      FROM PROCESSAPPROVAL SG GROUP BY SG.CONSTRUCTIONCODE) AS G");
                 strSQL.Append(" ON A.ConstructionCode = G.CONSTRUCTIONCODE AND G.SEQNO = 1");
                 strSQL.Append(" Left Join PeriodAvoidance As Btbl");
                 strSQL.Append("    On Btbl.ConstructionCode = A.ConstructionCode");
                 strSQL.Append("    And Btbl.ConstructionStatusFlg = A.ConstructionStatusFlg");
-                strSQL.Append(", CONSTRUCTIONBASEINFODETAIL B, PERSONINCHARGEMASTER C");
+                strSQL.Append(", CONSTRUCTIONBASEINFODETAIL AS B, PERSONINCHARGEMASTER AS C");
 
                 strSQL.Append(CreateConstructionProjectsSQL("A."));
 
@@ -4513,19 +4544,6 @@
             {
                 List<string> Details = new List<string>();
 
-                // 期数をセットする
-                string strPeriod = CreateConstructionProjectsSQL();
-                int minval = 0;
-                int maxval = 0;
-                CommonMotions.GetPeriodYearMinMax(ref minval, ref maxval);
-                numUDConstPro.Minimum = minval;
-                numUDConstPro.Maximum = maxval;
-                int nNowYear = CommonMotions.GetPeriodYear();
-                if (minval <= nNowYear && nNowYear <= maxval)
-                    numUDConstPro.Value = nNowYear;
-                else
-                    numUDConstPro.Value = maxval;
-
                 // 先頭の期数を取得する
                 object[] firstwrkRec = (object[])arData[0];
                 int BreakConstructionPeriod = CommonMotions.cnvInt(firstwrkRec[(int)DBColumn2.ConstructionPeriod]);
@@ -4667,9 +4685,9 @@
         /// <summary>
         /// 受注状況一覧表示用データ取得SQL作成
         /// </summary>
-        private string CreateConstructionProjectsSQL(string strArias = "")
+        private string CreateConstructionProjectsSQL(string strArias = "", bool bTyingFlg = true)
         {
-            string strSQL = string.Empty;
+            StringBuilder strSQL = new StringBuilder();
             try
             {
                 List<int> stat = new List<int>();
@@ -4683,10 +4701,10 @@
                 stat.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("空家補修工事")).Key);       // 16
                 stat.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("Hit'sV工事")).Key);         // 17
 
-                strSQL += CreateListSQLFluctuation(false, strArias);
-                strSQL += CreateListSQL(stat, false, strArias);
+                if(bTyingFlg) strSQL.Append(CreateListSQLFluctuation(false, strArias));
+                strSQL.Append(CreateListSQL(stat, false, strArias));
 
-                return strSQL;
+                return strSQL.ToString();
             }
             catch (Exception ex)
             {
@@ -4709,6 +4727,25 @@
         }
         #endregion
 
+        #region 部署表示保持クラス
+        /// <summary>
+        /// 部署表示保持クラス
+        /// </summary>
+        private class DspDepVal
+        {
+            public int DepCode { get; set; }
+            public string DepName { get; set; }
+            public long SunValue { get; set; }
+
+            public DspDepVal(int DCode, string DName, long SValue)
+            {
+                DepCode = DCode;
+                DepName = DName;
+                SunValue = SValue;
+            }
+        }
+        #endregion
+
         #region 受注状況一覧合計金額計算表示
         /// <summary>
         /// 受注状況一覧合計金額計算表示
@@ -4720,46 +4757,65 @@
             try
             {
                 dgv.Rows.Clear();
-                // 金額表示
-                lblTotal01.Text = @"\0-";
-                lblTotal02.Text = @"\0-";
-                lblTotal03.Text = @"\0-";
 
-                long lTotal01 = 0;
-                long lTotal02 = 0;
-
                 StringBuilder strSQL = new StringBuilder();
+                // 承認済みのデータを取得するＳＱＬ
                 strSQL.Append("SELECT");
                 strSQL.Append(" A.ConstrDepCode");
                 strSQL.Append(", E.DetailString");
-                strSQL.Append(", C.DISPLAYORDER");
-                strSQL.Append(", SUM(A.ORDERSDECISIONPRICE)");
-                strSQL.Append(", SUM(D.ORDERSDECISIONPRICE)");
+                strSQL.Append(", C.DISPLAYORDER AS DISPLAYORDER");
+
+                strSQL.Append(", A.ORDERSDECISIONPRICE");
+                strSQL.Append(", D.ORDERSDECISIONPRICE");
                 strSQL.Append(" FROM CONSTRUCTIONBASEINFO AS A");
 
                 strSQL.Append(" LEFT JOIN CONSTRUCTIONBASEINFODETAIL AS E");
                 strSQL.Append(" ON E.ConstructionCode = A.ConstructionCode");
-                strSQL.AppendFormat(" AND E.DetailNo = {0}",(int)ConstructionBaseInfoDetail.DataNoDef.ConstrDepartmentName);
+                strSQL.AppendFormat(" AND E.DetailNo = {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstrDepartmentName);
 
-                strSQL.Append(" LEFT JOIN  CONSTRUCTIONLEDGER AS D ON D.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE");
-                strSQL.Append(", DEPARTMENTMASTER AS C");
+                strSQL.Append(" LEFT JOIN CONSTRUCTIONLEDGER AS D ON D.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE");
+                strSQL.Append(" LEFT JOIN DEPARTMENTMASTER AS C On C.DEPARTMENTCODE = A.ConstrDepCode");
 
-                strSQL.AppendFormat(" WHERE A.CONSTRUCTIONPERIOD = {0}", numUDConstPro.Value);
+                strSQL.Append(" INNER JOIN PROCESSAPPROVAL AS F");
+                strSQL.Append("        On F.ConstructionCode = A.ConstructionCode");
+                strSQL.AppendFormat("  AND F.ApprovalCode = {0}", (int)ClsExcute.ApprovalListNo.ConstructionBudgetApproval);
+                strSQL.Append("        AND F.SeqNo = 1");
+                strSQL.AppendFormat("  AND F.ApprovalStatus = {0}",(int)CommonDefine.ApprovalStatus.Approval);
+
+                strSQL.Append(CreateConstructionProjectsSQL("A."));
+
+                strSQL.AppendFormat(" And A.CONSTRUCTIONPERIOD = {0}", numUDConstPro.Value);
                 strSQL.AppendFormat(" AND A.JOINFLG != {0}", (int)ConstructionBaseInfo.JoinFlgDef.JoinChildren);
-                strSQL.Append(" AND A.CONSTRUCTIONSTATUSFLG IN (");
-                strSQL.AppendFormat("{0},", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("一般補修工事")).Key);       // 2
-                strSQL.AppendFormat("{0},", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("仮 受 注")).Key);           // 3
-                strSQL.AppendFormat("{0},", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("受　　注")).Key);           // 4
-                strSQL.AppendFormat("{0},", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("部署引継")).Key);           // 5
-                strSQL.AppendFormat("{0},", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("施工準備")).Key);           // 6
-                strSQL.AppendFormat("{0},", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("施工開始")).Key);           // 7
-                strSQL.AppendFormat("{0},", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("施工完了")).Key);           // 8
-                strSQL.AppendFormat("{0},", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("空家補修工事")).Key);       // 16
-                strSQL.AppendFormat("{0})", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("Hit'sV工事")).Key);         // 17
-                strSQL.Append(" AND C.DEPARTMENTCODE = A.ConstrDepCode");
 
-                strSQL.Append(" GROUP BY C.DEPARTMENTCODE, C.DEPARTMENTSTRING, C.DISPLAYORDER");
-                strSQL.Append(" ORDER BY C.DISPLAYORDER");
+                // 未承認のデータを取得するＳＱＬ
+                strSQL.Append(" UNION SELECT");
+                strSQL.Append(" A.ConstrDepCode");
+                strSQL.Append(", E.DetailString");
+                strSQL.Append(", C.DISPLAYORDER AS DISPLAYORDER");
+
+                strSQL.Append(", A.ORDERSDECISIONPRICE");
+                strSQL.Append(", D.ORDERSDECISIONPRICE");
+                strSQL.Append(" FROM CONSTRUCTIONBASEINFO AS A");
+
+                strSQL.Append(" LEFT JOIN CONSTRUCTIONBASEINFODETAIL AS E");
+                strSQL.Append(" ON E.ConstructionCode = A.ConstructionCode");
+                strSQL.AppendFormat(" AND E.DetailNo = {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstrDepartmentName);
+
+                strSQL.Append(" LEFT JOIN CONSTRUCTIONLEDGER AS D ON D.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE");
+                strSQL.Append(" LEFT JOIN DEPARTMENTMASTER AS C On C.DEPARTMENTCODE = A.ConstrDepCode");
+
+                strSQL.Append(CreateConstructionProjectsSQL("A."));
+
+                strSQL.AppendFormat(" And A.CONSTRUCTIONPERIOD = {0}", numUDConstPro.Value);
+                strSQL.AppendFormat(" AND A.JOINFLG != {0}", (int)ConstructionBaseInfo.JoinFlgDef.JoinChildren);
+
+                strSQL.Append(" AND NOT EXISTS(SELECT * FROM PROCESSAPPROVAL AS F");
+                strSQL.Append(" WHERE F.ConstructionCode = A.ConstructionCode");
+                strSQL.AppendFormat("  AND F.ApprovalCode = {0}", (int)ClsExcute.ApprovalListNo.ConstructionBudgetApproval);
+                strSQL.Append("        AND F.SeqNo = 1");
+                strSQL.AppendFormat("  AND F.ApprovalStatus = {0})", (int)CommonDefine.ApprovalStatus.Approval);
+
+                strSQL.Append(" ORDER BY DISPLAYORDER");
                 ArrayList arList = new ArrayList();
                 if (!BaseDB.ExecuteReader(strSQL.ToString(), ref arList)) return;
                 if (arList.Count == 0) return;
@@ -4770,45 +4826,76 @@
                 if (iRowcount > 2) dgv.Width = 1028;
 
                 dgv.Rows.Add(iRowcount);
-                
+
                 // 表示順
                 // 3:営業部 7:会長室
                 // 8:社長室 1:工事部 2:営繕部 9:企・設・ﾘﾌｫｰﾑ部
+                // 金額表示
+                lblTotal01.Text = @"\0-";
+                lblTotal02.Text = @"\0-";
+                lblTotal03.Text = @"\0-";
+
+                long lTotal01 = 0;
+                long lTotal02 = 0;
                 int DepCode = 0;
                 string DepName = string.Empty;
-                long Price = 0;
+                
+                List<DspDepVal> DspDepList = new List<DspDepVal>();
+                foreach (object[] objRec in arList)
+                {
+                    // 部署コード
+                    DepCode = CommonMotions.cnvInt(objRec[0]);
+                    if (DepCode < 1)
+                    {
+                        lTotal01 += CommonMotions.cnvLong(objRec[3]);
+                        lTotal02 += CommonMotions.cnvLong(objRec[3]);
+                        continue;
+                    }
+
+                    // 部署名
+                    DepName = CommonMotions.cnvString(objRec[1]);
+                    // 工事情報受注金額
+                    long Price1 = CommonMotions.cnvLong(objRec[3]);
+                    // 工事台帳受注金額(増減工事等で工事台帳の方が大きい場合置き換える)
+                    if (Price1 < CommonMotions.cnvLong(objRec[4]))
+                        Price1 = CommonMotions.cnvLong(objRec[4]);
+
+                    lTotal01 += Price1;
+
+                    DspDepVal CurDep = null;
+                    if (DspDepList.Exists(x => x.DepCode == DepCode))
+                        CurDep = DspDepList.Find(x => x.DepCode == DepCode);
+
+                    if (CurDep == null)
+                    {
+                        DspDepList.Add(new DspDepVal(DepCode, DepName, Price1));
+                        continue;
+                    }
+                    CurDep.SunValue += Price1;
+                }
+
                 int RowCnt = 0;
                 int ColCnt = 0;
-                foreach (object[] objRec in arList)
+                foreach (DspDepVal DpsRec in DspDepList)
                 {
-                    if (ColCnt > 8)
+                    if (ColCnt > 8) // 2（ラベル数） * 4（1行のデータ数）
                     {
                         RowCnt++;
                         ColCnt = 0;
                     }
-                     DepCode = CommonMotions.cnvInt(objRec[0]);
-                    DepName = CommonMotions.cnvString(objRec[1]);
-                    Price = CommonMotions.cnvLong(objRec[3]);
-                    if (Price < CommonMotions.cnvLong(objRec[4])) Price = CommonMotions.cnvLong(objRec[4]);
 
-                    lTotal01 += Price; 
-                    if (Price == 0) lTotal01 += CommonMotions.cnvLong(objRec[3]);
-
                     if (RowCnt == -1 && ColCnt == -1) continue;
-                    lTotal02 += Price;
-                    
-                    // 会長室を表示しない
-                    //if (DepCode == 7) continue;
 
-                    dgv.Rows[RowCnt].Cells[ColCnt].Value = DepName;
+                    dgv.Rows[RowCnt].Cells[ColCnt].Value = DpsRec.DepName;
                     dgv.Rows[RowCnt].Cells[ColCnt].Style.BackColor = Color.Aqua;
-                    dgv.Rows[RowCnt].Cells[ColCnt + 1].Value = string.Format(@"\{0}-", Price.ToString("#,0"));
+                    dgv.Rows[RowCnt].Cells[ColCnt + 1].Value = string.Format(@"\{0}-", DpsRec.SunValue.ToString("#,0"));
 
                     ColCnt += 2;
                 }
+
                 // 金額表示
-                lblTotal01.Text = string.Format(@"\{0}-", (lTotal01 - lTotal02).ToString("#,0"));
-                lblTotal02.Text = string.Format(@"\{0}-", lTotal02.ToString("#,0"));
+                lblTotal01.Text = string.Format(@"\{0}-", lTotal02.ToString("#,0"));
+                lblTotal02.Text = string.Format(@"\{0}-", (lTotal01 - lTotal02).ToString("#,0"));
                 lblTotal03.Text = string.Format(@"\{0}-", lTotal01.ToString("#,0"));
 
             }
@@ -5205,9 +5292,9 @@
                 // 工事検索時は検索画面の値をセットする
                 if (m_bConstrSearchFlg)
                 {
-                    numUDNonOrder.ValueChanged -= new System.EventHandler(numUDNonOrder_ValueChanged);
+                    numUDNonOrder.ValueChanged -= new EventHandler(numUDNonOrder_ValueChanged);
                     numUDNonOrder.Value = m_Period;
-                    numUDNonOrder.ValueChanged += new System.EventHandler(numUDNonOrder_ValueChanged);
+                    numUDNonOrder.ValueChanged += new EventHandler(numUDNonOrder_ValueChanged);
                 }
 
                 dgvNonOrders.Rows.Clear();
@@ -5416,9 +5503,9 @@
                 // 工事検索時は検索画面の値をセットする
                 if (m_bConstrSearchFlg)
                 {
-                    this.numUDCompletion.ValueChanged -= new System.EventHandler(this.numUDCompletion_ValueChanged);
+                    numUDCompletion.ValueChanged -= new EventHandler(numUDCompletion_ValueChanged);
                     numUDCompletion.Value = m_Period;
-                    this.numUDCompletion.ValueChanged += new System.EventHandler(this.numUDCompletion_ValueChanged);
+                    numUDCompletion.ValueChanged += new EventHandler(numUDCompletion_ValueChanged);
                 }
 
                 dgvCompletionOfConstruction.Rows.Clear();
@@ -5505,8 +5592,14 @@
                 MainProgressBar.Update();
 
                 // 金額表示
-                long[] Total01 = CalcOrdersDecisionPrice((numUDCompletion.Value - 1));
-                long[] Total02 = CalcOrdersDecisionPrice(numUDCompletion.Value);
+                int[] Status = new int[] {  CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求準備")).Key,
+                                            CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求確認")).Key};
+
+                long[] Total01 = new long[Status.Length];
+                long[] Total02 = new long[Status.Length];
+                CalcOrdersDecisionPrice((numUDCompletion.Value - 1), Status, ref Total01);
+                CalcOrdersDecisionPrice(numUDCompletion.Value, Status, ref Total02);
+
                 lblCompTotal01.Text = @"\" + (Total01[0] + Total01[1]).ToString("#,0") + "-";
                 lblCompTotal02.Text = @"\" + (Total02[0] + Total02[1]).ToString("#,0") + "-";
                 lblCompTotal03.Text = @"\" + Total02[0].ToString("#,0") + "-";
@@ -5720,17 +5813,12 @@
         /// </summary>
         /// <param name="Period"></param>
         /// <returns></returns>
-        private long[] CalcOrdersDecisionPrice(decimal Period)
+        private void CalcOrdersDecisionPrice(decimal Period, int[] Status, ref long[] lArrayRet)
         {
             IOConstructionBaseInfo BaseDB = new IOConstructionBaseInfo();
 
-            int[] Status = new int[] {  CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求準備")).Key,
-                                            CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求確認")).Key};
-            long[] lArrayRet = new long[Status.Length];
-            Array.Clear(lArrayRet, 0, lArrayRet.Length);
             try
             {
-
                 string strSQL = "SELECT A.CONSTRUCTIONSTATUSFLG, SUM(A.ORDERSDECISIONPRICE), SUM(B.ORDERSDECISIONPRICE)";
                 strSQL += " FROM CONSTRUCTIONBASEINFO A";
                 strSQL += " LEFT JOIN  CONSTRUCTIONLEDGER B ON B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
@@ -5747,11 +5835,12 @@
                 strSQL += " ORDER BY A.CONSTRUCTIONSTATUSFLG";
 
                 ArrayList arryList = new ArrayList();
-                if (!BaseDB.ExecuteReader(strSQL, ref arryList)) return lArrayRet;
-                if (arryList.Count == 0) return lArrayRet;
+                if (!BaseDB.ExecuteReader(strSQL, ref arryList)) return;
+                if (arryList.Count == 0) return;
 
                 long work1 = 0;
                 long work2 = 0;
+                Array.Clear(lArrayRet, 0, lArrayRet.Length);
                 foreach (object[] getObj in arryList)
                 {
                     work1 = CommonMotions.cnvLong(getObj[1]);
@@ -5772,13 +5861,10 @@
                             lArrayRet[1] = work2;
                     }
                 }
-
-                return lArrayRet;
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return lArrayRet;
             }
             finally
             {
Index: branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 339)
+++ branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 340)
@@ -776,12 +776,6 @@
     <Compile Include="Forms\DataEntry\SubConstrRegist\FrmSubConstrRegistListAuxiliary.cs">
       <SubType>Form</SubType>
     </Compile>
-    <Compile Include="Forms\DataEntry\TAndPCosts\FrmSelectPaymentDay.cs">
-      <SubType>Form</SubType>
-    </Compile>
-    <Compile Include="Forms\DataEntry\TAndPCosts\FrmSelectPaymentDay.Designer.cs">
-      <DependentUpon>FrmSelectPaymentDay.cs</DependentUpon>
-    </Compile>
     <Compile Include="Forms\DataEntry\TAndPCosts\FrmTAndPCostsAuxiliary.cs">
       <SubType>Form</SubType>
     </Compile>
@@ -1580,9 +1574,6 @@
     <EmbeddedResource Include="Forms\DataEntry\SubConstrRegist\FrmSubConstrRegistList.resx">
       <DependentUpon>FrmSubConstrRegistList.cs</DependentUpon>
     </EmbeddedResource>
-    <EmbeddedResource Include="Forms\DataEntry\TAndPCosts\FrmSelectPaymentDay.resx">
-      <DependentUpon>FrmSelectPaymentDay.cs</DependentUpon>
-    </EmbeddedResource>
     <EmbeddedResource Include="Forms\DataEntry\TAndPCosts\FrmTAndPCosts.resx">
       <DependentUpon>FrmTAndPCosts.cs</DependentUpon>
     </EmbeddedResource>
Index: branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 339)
+++ branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 340)
@@ -32,7 +32,7 @@
 // すべての値を指定するか、下のように '*' を使ってビルドおよびリビジョン番号を 
 // 既定値にすることができます:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("1.0.1.175")]
-[assembly: AssemblyFileVersion("1.0.1.175")]
+[assembly: AssemblyVersion("1.0.1.178")]
+[assembly: AssemblyFileVersion("1.0.1.178")]
 // Log4netを使用する
 [assembly: log4net.Config.XmlConfigurator(ConfigFile = @"log4net.config", Watch = true)]
\ No newline at end of file
